    Dim Line$(200),File$(100)
    Dim CreateLog$/:7,14/
    dim SetError$/:13,4,0,0/
    Print "Test Compile ADAxxx.BNF File"
    Input "Enter name of file: " File$
100 Create #2,"Junk.Tmp"
120 Open #1,"ADAMISC.BNF"
    Gosub CopyFileContents
110 Open #1,"ADATKN.BNF"
    Gosub CopyFileContents
    If Error When Open #1, File$
    Then print "Can't find ";File$\Exit
    Gosub CopyFileContents
    Print #2,".END"
    Create #3,"Junk.Do"
    Print #3,"META14CCOMPILER"
    Print #3,"JUNK.TMP"
    Print #3,"JUNK.OUT"
    Close #3
    Close #0
    Open #0,"Junk.do"
    Syscall CreateLog$,"Console:",Line$
    syscall Seterror$ \ ! clear the error code
    Exit

CopyFileContents:
    Input #1,Line$
    If eof(1) then close #1\return
    Print #2,Line$
    goto CopyFileContents

    end
